import { getAuthenticatedUser } from "@/auth";
import UserProfile from "@/components/account/UserProfile";

export default async function ProfilePage() {
  const user = await getAuthenticatedUser();

  return (
    <UserProfile
      displayName={user?.displayName || "User"}
      givenName={user?.givenName || ""}
      familyName={user?.familyName || ""}
      email={user?.email || ""}
      groups={user?.groups || []}
      keycloakId={user?.keycloakId || ""}
      tenantId={user?.tenantId || ""}
    />
  );
}
